Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Expose plugin compatibility information in repository (Trac #2756) #2756

Closed
elgg-gitbot opened this issue Feb 16, 2013 · 5 comments
Closed

Expose plugin compatibility information in repository (Trac #2756) #2756

elgg-gitbot opened this issue Feb 16, 2013 · 5 comments
Labels

Comments

@elgg-gitbot
Copy link

@elgg-gitbot elgg-gitbot commented Feb 16, 2013

Original ticket http://trac.elgg.org/ticket/2756 on 41003662-04-21 by trac user iionly, assigned to unknown.

Elgg version: 1.8.6

One of the most asked question on community.elgg.org both in the group discussions and also in the comments to plugins is: "Does it work with Elgg version XY?"

After the soon to be released Elgg 1.8 this question will be asked again countless times for sure.

Currently, the developers can mention the compatibility in the plugin description or release notes, but it isn't done in most cases unfortunately.

A mandatory field about compatibility of a newly released plugin could help at least in the future. Multiple versions (1.6, 1.7, 1.8) could be offered, maybe even minor releases, but one version must be selected at least for the upload of a plugin to work.

@elgg-gitbot
Copy link
Author

@elgg-gitbot elgg-gitbot commented Feb 16, 2013

Milestone changed to Community Site by brettp on 41004054-02-19

@elgg-gitbot
Copy link
Author

@elgg-gitbot elgg-gitbot commented Feb 16, 2013

brettp wrote on 41004067-12-14

Authors can select minor Elgg compatibility version (1.7) but this isn't exposed in search or the plugin page.

@elgg-gitbot
Copy link
Author

@elgg-gitbot elgg-gitbot commented Feb 16, 2013

Title changed from Plugin compatibility information in repository to Expose plugin compatibility information in repository by brettp on 41004067-12-14

@elgg-gitbot
Copy link
Author

@elgg-gitbot elgg-gitbot commented Feb 16, 2013

trac user iionly wrote on 42500883-04-07

This feature was made available with the old community site theme: the compatible Elgg version selected at plugin upload was displayed on the download page.

But the new Elgg 1.8 community theme no longer shows this information.

@elgg-gitbot
Copy link
Author

@elgg-gitbot elgg-gitbot commented Feb 16, 2013

ewinslow wrote on 42502207-02-28

This information is exposed in the title of the download page.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
1 participant
You can’t perform that action at this time.